CHANGES IN VERSION 2.45.1
-------------------------

o Load test files from the MsDataHub package and remove dependency on the
  msdata package.
o Catch error in spectrum ID parsing.
o Remove support for C++11 and C++14 from R-devel (see issue #315)

CHANGES IN VERSION 2.43.3
-------------------------

o Make electronBeamEnergy an optional header field.

CHANGES IN VERSION 2.43.2
-------------------------
o More fixes around NaN

CHANGES IN VERSION 2.43.1
-------------------------
o Update CV, adds multiple terms

CHANGES IN VERSION 2.41.4
-------------------------
o Use "rtime" and "intensity" as column names for the data.frame returned
  by `chromatogram()`. Fixes #304.

CHANGES IN VERSION 2.41.3
-------------------------
o Fixed off-by-one indexing issue with index access for chromatogramHeader vs
  chromatogram. Fixes #302. Thanks Nils Hoffmann !

CHANGES IN VERSION 2.41.2
-------------------------
o Report also electron beam energy (MS:1003410) for EAD data.

CHANGES IN VERSION 2.41.1
-------------------------
o Fix compilation error with stricter compiler checks

CHANGES IN VERSION 2.39.2
-------------------------
o Improve openMSfile and openIDfile manual page (contirbuted by
  rdhale92, PR #299)

CHANGES IN VERSION 2.39.1
-------------------------
o Update CV translator, adds support for Astral

CHANGES IN VERSION 2.37.3
-------------------------
o Fix compilation on Windows/aarch64 (#290), thanks to Tomas Kalibera for the patch

CHANGES IN VERSION 2.37.2
-------------------------
o remove mentions of mzData in the DESCRIPTION, vignette and manual
  files (support dropped in 2.29.3)

CHANGES IN VERSION 2.37.1
-------------------------
 o fix compilation on centOS 7 / R-4.3.1 reported in #286

CHANGES IN VERSION 2.35.1
-------------------------
 o fix compilation on Fedora 38 / R-4.3.0. Thanks to Christian Iseli! Closes #282

CHANGES IN VERSION 2.33.1
-------------------------
 o fix: update to a new PSI-MS OBO for e.g. ZenoTOF CV term
   Closes #278

CHANGES IN VERSION 2.29.1
-------------------------
 o fix: read full spectra data in get3DMap
   Closes #269.

CHANGES IN VERSION 2.27.6
-------------------------
 o Only export certain spectra header parameters if their values are not NA.
   Closes #266.

CHANGES IN VERSION 2.27.5
-------------------------
 o `peaks` method for pwiz backend sets colnames on returned matrices.

CHANGES IN VERSION 2.29.4
-------------------------
 o Re-apply fix for compile error on clang by Kurt Hornik, closes #263
 o Remove text in DESCRIPTION hinting at the RAMP wrapper for mzData removed in 2.29.3

CHANGES IN VERSION 2.29.3
-------------------------
 o Update to Proteowizard 3_0_21263
 o Removed RAMP backend, dropping ability to read mzData
 o header always returns a data.frame even for a single scan.

CHANGES IN VERSION 2.29.2
-------------------------
 o Cleanup in build files

CHANGES IN VERSION 2.29.1
-------------------------
 o Pwiz backend partially re-written to avoid segfault on macOS
   (https://github.com/sneumann/xcms/issues/422).

CHANGES IN VERSION 2.27.2
-------------------------
 o Remove support for the ramp backend.

CHANGES IN VERSION 2.27.1
-------------------------
 o Add missing atomic_count_sync.hpp BH file (see PR #248 by vjcitn)

CHANGES IN VERSION 2.27.0
-------------------------
 o New Bioc devel version

CHANGES IN VERSION 2.25.5
-------------------------
 o Fix compile error on clang-11 reported (and fixed!) by Kurt Hornik, closes #244

CHANGES IN VERSION 2.25.4
-------------------------
 o Add dependency "rmarkdown" to "suggests:"

CHANGES IN VERSION 2.25.3
-------------------------
 o Ensure `header` for CDF returns columns with correct data type.

CHANGES IN VERSION 2.25.2
-------------------------
 o Fix issue #238: ensure `header` call returns the same columns for all
   backends.

CHANGES IN VERSION 2.25.1
-------------------------
 o Bump version to trigger new build using latest Rcpp

CHANGES IN VERSION 2.25.0
-------------------------
 o New Bioc devel version

CHANGES IN VERSION 2.21.2
-------------------------
 o Update email address

CHANGES IN VERSION 2.21.1
-------------------------
 o inject a new PSI-MS.obo controlled vocabulary
   data-version: 4.1.30
   date: 30:08:2019 16:10
   saved-by: Gerhard Mayer

CHANGES IN VERSION 2.19.7
-------------------------
 o Fix compile error on Windows + Mac (Thanks Mike!)

CHANGES IN VERSION 2.19.6
-------------------------
 o header for the pwiz backend returns NA instead of 0 for not defined or
   missing information <2019-09-24 Tue>.
 o peaks for pwiz backend rewritten (small performance improvement)
   <2019-09-26 Thu>.

CHANGES IN VERSION 2.19.5
-------------------------
 o version bump to force build with latest Rcpp

CHANGES IN VERSION 2.19.4
-------------------------
 o Add header columns scanWindowLowerLimit and scanWindowUpperLimit

CHANGES IN VERSION 2.19.3
-------------------------
 o use ProtGenerics::tolerance generic <2019-08-16 Fri>

CHANGES IN VERSION 2.19.2
-------------------------
 o Fix issue 190, compiles on clang-8.0

CHANGES IN VERSION 2.19.1
-------------------------
 o Remove analyzer generics, now in ProtGenerics <2019-05-13 Mon>

CHANGES IN VERSION 2.17.4
-------------------------
 o Update documentation, pointing to MSnbase rather than directly use
   low-level classes. <2019-04-17 Wed>

CHANGES IN VERSION 2.17.3
-------------------------
 o Extract isolation window from mzML files (issue #193): data.frame returned
   by header gains columns "isolationWindowTargetMZ",
   "isolationWindowLowerOffset", "isolationWindowUpperOffset".

CHANGES IN VERSION 2.17.2
-------------------------
 o Fix bug #185: Error in R_nc4_open: Too many open files

CHANGES IN VERSION 2.15.5
-------------------------
 o Fix bug #181

CHANGES IN VERSION 2.15.4
-------------------------
 o Use new dependency ncdf4 for netCDF reading,
   removes a lot of build hassles with old libnetcdf-dev linking.
 o specParams returns a numeric scan.number.s.

CHANGES IN VERSION 2.15.3
-------------------------
 o Adds MS-GF+ information such as Scan Time and a more reliable Scan
   Number, contributed by FarmGeek4Life (see PR #174).

CHANGES IN VERSION 2.15.2
-------------------------
 o Add header column ionMobilityDriftTime to report the corresponding CV
   parameter (issue https://github.com/sneumann/mzR/issues/44).
 o Ensure ion injection time is always reported in milliseconds.
 o Replace BiocInstaller::biocLite with BiocManager::install (by Bioc
   core)

CHANGES IN VERSION 2.15.1
-------------------------
 o Fix typo (see https://github.com/sneumann/mzR/pull/162)
 o New .hasSpectra and .hasChromatograms private function (see
   https://github.com/lgatto/MSnbase/issues/343)
 o Fix bug in score when more cvParams than expected are read - see
   https://github.com/sneumann/mzR/issues/136 <2018-05-26 Sat>

CHANGES IN VERSION 2.15.0
-------------------------
 o New Bioc devel version

CHANGES IN VERSION 2.13.8
-------------------------
 o Document missing chrom argument for chromatogram(s)

CHANGES IN VERSION 2.13.7
-------------------------
 o Add a missing header needed on gcc 6.2.0

CHANGES IN VERSION 2.13.6
-------------------------
 o Add MS CV Term IDs for mzR, MSnbase and CAMERA (issue #151)
 o Validate exported mzML files using xsd

CHANGES IN VERSION 2.13.5
-------------------------
 o Fix https://github.com/sneumann/xcms/issues/261
 o Fix endian.hpp for new c++ versions (see PR #149)

CHANGES IN VERSION 2.13.4
-------------------------
 o Fix error (see issue #145)

CHANGES IN VERSION 2.13.3
-------------------------
 o Link against Rhdf5lib, allows to read mz5 also on Windows
 o Use Rhdf5lib 1.1.4 with c++ headers in /include
 o fix BiocStyle related issue in Vignette on Windows

CHANGES IN VERSION 2.13.2
--------------------------
 o Add chromatogramHeader method to read header information for chromatograms
   from an mzML file.

CHANGES IN VERSION 2.13.1
--------------------------
 o Read filter string from mzML files and add it to the data.frame returned by
   the header function (see MSnbase issue #278).
 o openMsFile automatically determine the backend to use based on file extension
   and content.

CHANGES IN VERSION 2.11.11
--------------------------
 o Fix problem in writeMSData: ensure precursor data is saved even if precursor
   scan is not available (see MSnbase issue #245).

CHANGES IN VERSION 2.11.10
--------------------------
 o Fix problem that can cause a SEGFAULT in writeMSData/copyWriteMSData when MS
   data with spectra linking to missing precursor scans is saved (issue #129).

CHANGES IN VERSION 2.11.9
-------------------------
 o Update peaks man page with details about spectrumId, acquisitionNum
   and seqNum

CHANGES IN VERSION 2.11.8
-------------------------
 o Add contributions guide with code of conduct.
 o Update installation instructions for Mac.
 o Report the spectrum ID in the header data.frame (column spectrumId).
 o Fix in copyWriteMSData and writeMSData ensuring that MSn data is correctly
 o Import pwiz r11174 fix for mzML without <componentList> (see #113).

CHANGES IN VERSION 2.11.7
-------------------------
 o Nothing yet.
 o Import fix by Brian Pratt (pwiz r11174) for mzML without <componentList>
   Another way to fix #113
 o Removing mz5 support from manual page, as currently unsupported.

CHANGES IN VERSION 2.11.6
-------------------------
 o runInfo returns the run start time stamp from files providing this
   information (mzML files).

CHANGES IN VERSION 2.11.5
-------------------------
 o writeMSData and copyWriteMSData functions enabling to export MS data to
   mzML or mzXML files.

CHANGES IN VERSION 2.11.4
-------------------------
 o Use full TMT file pattern to select a single file

CHANGES IN VERSION 2.11.3
-------------------------
 o Read ion injection time from mzML files and add it to the data.frame returned
   by the header function.

CHANGES IN VERSION 2.11.2
-------------------------
 o New getScanHeaderInfo and getAllScanHeaderInfo implementations for the pwiz
   backend. Fixes issue #106 and issue #216 in MSnbase.

CHANGES IN VERSION 2.11.1
-------------------------
 o Change default I/O backend from Ramp to pwiz.

CHANGES IN VERSION 2.11.0
-------------------------
 o Bioc devel 3.6

CHANGES IN VERSION 2.10.0
-------------------------
 o Bioc release 3.5

CHANGES IN VERSION 2.9.11
-------------------------
 o Restore -fpermissive flag on windows

CHANGES IN VERSION 2.9.10
-------------------------
 o Remove register keyword causing WARNING.

CHANGES IN VERSION 2.9.9
------------------------
 o Remove C++ references to cout/cerr/abort in pwiz code (see issue #89)

CHANGES IN VERSION 2.9.8
------------------------
 o Fix reading spectrum polarity from mzML using pwiz backend, closes #81

CHANGES IN VERSION 2.9.7
------------------------
 o Fix compilation on macOS

CHANGES IN VERSION 2.9.6
------------------------
 o Compile on macOS, but hdf5 path hard-coded

CHANGES IN VERSION 2.9.5
------------------------
 o Add missing boost/config/platform/macos.hpp <2017-01-25 Wed>

CHANGES IN VERSION 2.9.4
------------------------
 o New chromatogram accessors (for pwiz backend only) - see issue #73
   <2017-01-23 Mon>

CHANGES IN VERSION 2.9.3
------------------------
 o bump to new Rcpp 0.12.8 version <2017-01-05 Thu>

CHANGES IN VERSION 2.9.2
------------------------
 o cleanup CFLAGS and LIBS for libnetcdf
 o add file missing for oaxaca (Apple clang 3.5svn / 600.0.57)

CHANGES IN VERSION 2.9.1
------------------------
 o Delete RAMPAdapter pointer in pwiz backend (by jotsetung)
   <2016-11-20 Sun>
 o Use spectra in addition to peaks (see issue #15)
   <2016-12-09 Fri>
 o New pwiz (commit 946d23d75dc70a7a4913d8e05e3d59b9255f278e)

CHANGES IN VERSION 2.9.0
------------------------
 o Bioc devel 3.5

CHANGES IN VERSION 2.8.0
------------------------
 o Bioc release 3.4

CHANGES IN VERSION 2.7.13
-------------------------
 o Fix waring on OSX (see issue #60)

CHANGES IN VERSION 2.7.12
-------------------------
 o Fixing last warning on MacOS

CHANGES IN VERSION 2.7.11
-------------------------
 o Fix failing example and test due to updated msdata::protemics data

CHANGES IN VERSION 2.7.10
-------------------------
 o compiling and loading on Windows (hopefully)

CHANGES IN VERSION 2.7.9
------------------------
 o Updating Makevars.win

CHANGES IN VERSION 2.7.8
------------------------
 o compile pwiz when installing on Windows <2016-09-26 Mon>

CHANGES IN VERSION 2.7.7
------------------------
 o add netcdf static lib; potential incompatibility <2016-09-22 Thu>

CHANGES IN VERSION 2.7.6
------------------------
 o new isolationWindow accessor <2016-09-23 Fri>

CHANGES IN VERSION 2.7.5
------------------------
 o Apply Martin's free/delete patch - see
   https://github.com/sneumann/mzR/issues/52 <2016-09-22 Thu>

CHANGES IN VERSION 2.7.4
------------------------
 o upgrade pwiz
 o ensure file connections are cleaned and closed for pwiz.

CHANGES IN VERSION 2.7.1
------------------------
 o revert added compiler switch, and fixed boost code instead to get rid of warnings

CHANGES IN VERSION 2.5.8
------------------------
 o fix compiler Warning with clang on MacOS

CHANGES IN VERSION 2.5.7
------------------------
 o fix compilation with clang on MacOS

CHANGES IN VERSION 2.5.6
------------------------
 o fix compilation on new windows toolchain,
   thanks to Kasper Daniel Hansen and Dan Tenenbaum

CHANGES IN VERSION 2.5.3
------------------------
 o new pwiz.version() function returning the pwiz backend version (KK)

CHANGES IN VERSION 2.5.2
------------------------
 o Provide pre-compiled windows libraries, again thanks to Qiang Kou (KK)

CHANGES IN VERSION 2.5.1
------------------------
 o Import Boost 1.59, thanks to Qiang Kou (KK)

CHANGES IN VERSION 2.3.3
------------------------
 o bump to new Rcpp 0.12.1 version <2015-09-29 Tue>

CHANGES IN VERSION 2.3.2
------------------------
 o Fix typo/bug in peaks,mzRpwiz <2015-07-31 Fri>

CHANGES IN VERSION 2.3.1
------------------------
 o update Rcpp version message to point to support site <2015-05-08 Fri>

CHANGES IN VERSION 2.1.12
-------------------------
 o Remove superfluous BiocGenerics in Suggests [2015-03-01 Sun]
 o Merged KK's Makefile to generate pwiz lib for windows [2015-03-01 Sun]

CHANGES IN VERSION 2.1.11
-------------------------
 o Using generics from BiocGenerics (fileName, score) and ProtGenerics
   [2015-02-28 Sat]

CHANGES IN VERSION 2.1.10
-------------------------
 o Add instrumentInfo() and runInfo() for CDF backend (closes issue #22)
 o Add precompiled libpwiz.a to reduce compile time on Windows (closes issue #21), thanks to KK

CHANGES IN VERSION 2.1.9
------------------------
 o Fix a compiler warning on OSX in the pep_XML serialiser

CHANGES IN VERSION 2.1.8
------------------------
 o Fix build on unix with netcdf.h in non-standard location

CHANGES IN VERSION 2.1.7
------------------------
 o Fix score segfault (see issue #18) and remove usage of ListBuilder.
 o Update unit test to reflext new score code.

CHANGES IN VERSION 2.1.6
------------------------
 o adding an acquisitionNum column to psms (closes issue #17)
   [2015-02-05 Thu]

CHANGES IN VERSION 2.1.5
------------------------
 o don't print '1' to the console when calling get3Dmap
   [2015-01-29 Thu]
 o add sequence length in psms output (closes issue #19)
   [2015-02-04 Wed]

CHANGES IN VERSION 2.1.4
------------------------
 o documentation and vignette: mzIdentML version 1.1 support only
   [2015-01-23 Fri]

CHANGES IN VERSION 2.1.1
------------------------
 o remove dependency on faahKO

CHANGES IN VERSION 1.99.4
-------------------------
 o don't run pwiz example [2014-10-05 Sun]

CHANGES IN VERSION 1.99.3
-------------------------
 o revising unit testing and using suggested convention as described
   in Bioc unitTesting guidelines  [2014-10-02 Thu]

CHANGES IN VERSION 1.99.2
-------------------------
 o bump to new Rcpp 0.11.3 version

CHANGES IN VERSION 1.99.1
-------------------------
 o annoucning pwiz in vignette and that it will become the default
   backend in Bioc 3.1 [2014-09-25 Thu]
 o adding a dummy close for pwiz backend to avoid breaking code
   that properly closes the previous ramp backend [2014-09-21 Sun]
 o Not using ListBuilder to make psms data.frame and fix segfautls,
   via KK [2014-09-27 Sat]

CHANGES IN VERSION 1.99.0
-------------------------
 o New pwiz backend and support for mzid, contributed by Qiang Kou as
   part of GSoC 2014.
 o Using BiocStyle for vignette [2014-08-26 Tue]

CHANGES IN VERSION 1.11.11
-------------------------
 o Remove superflouus library call in unitTests, should fix R CMD check on windows

CHANGES IN VERSION 1.11.10
-------------------------
 o Remove redundant columns when returning several spectra

CHANGES IN VERSION 1.11.9
-------------------------
 o Fix a bug in header() returning too few columns, introduced during 1.11.7

CHANGES IN VERSION 1.11.8
-------------------------
 o Fix a windows compile problem by early importing Rcpp.h

 CHANGES IN VERSION 1.11.7
-------------------------
 o include polarity information into header() output

CHANGES IN VERSION 1.11.6
-------------------------
 o removed one redundant parser which fixes inconsistencies
   in the scan headers

CHANGES IN VERSION 1.11.5
-------------------------
 o restored the polarity extraction

CHANGES IN VERSION 1.11.4
-------------------------
 o restored the old ramp Interface

CHANGES IN VERSION 1.11.2
-------------------------
 o adding missed src files [2014-05-28 Tue]
 o merging master [2014-05-30 Fri]

CHANGES IN VERSION 1.11.1
-------------------------
 o update pwiz/boost to support Maverick [2014-05-26 Mon]

CHANGES IN VERSION 1.9.8
------------------------
 o Pointing to the relevant wiki page in the Rcpp compiler/linker
   warning [2014-04-03 Thu]

CHANGES IN VERSION 1.9.7
------------------------
 o modify to new biocViews to DESCRIPTION file (s.arora)

CHANGES IN VERSION 1.9.6
------------------------
 o import all of Rcpp to avoid warnings in reverse dependencies <2014-02-14 Fri>

CHANGES IN VERSION 1.9.3
------------------------
 o fix a string in ramp.cpp to enable compilation on clang-3.4

CHANGES IN VERSION 1.9.2
------------------------
 o version bump for Rcpp 0.10.6 <2013-10-30 Wed>

CHANGES IN VERSION 1.9.1
------------------------
 o moved vignettes to /vignettes <2013-10-17 Thu>

CHANGES IN VERSION 1.7.4
------------------------
 o version bump for Rcpp 0.10.5 <2013-10-02 Wed>

CHANGES IN VERSION 1.7.3
------------------------
 o Fix a compile error with the clang-3.3 compiler

CHANGES IN VERSION 1.7.2
------------------------
 o updated Rcpp number mismatch warning to include versions <2013-08-01 Thu>

CHANGES IN VERSION 1.7.1
------------------------
 o version bump for Rcpp 0.10.4

CHANGES IN VERSION 1.5.9
------------------------
 o version bump for Rcpp 0.10.3

CHANGES IN VERSION 1.5.8
------------------------
 o version bump for Rcpp 0.10.2

CHANGES IN VERSION 1.5.7
------------------------
 o only load Rcpp modules after checking for Rcpp
   version conflict (DT)

CHANGES IN VERSION 1.5.6
------------------------
 o Explicitely call utils::packageVersion() to avoid warning (SN) <2012-12-15 Sat>

CHANGES IN VERSION 1.5.5
------------------------a
 o Added utils to Depends (SN) <2012-12-14 Fri>

CHANGES IN VERSION 1.5.4
------------------------
 o requiring Rcpp (>= 0.10.1) LG <2012-12-05 Wed>
 o catching Rcpp build-time version (thanks to
   Dan for help!) LG <2012-12-05 Wed>
 o checking Rcpp installed vs building versions
   and warn if these are different. LG <2012-12-05 Wed>

CHANGES IN VERSION 1.5.3
------------------------
 o bumping version to force rebuild due to Rcpp
   change LG <2012-12-05 Wed>
 o added NEWS file <2012-12-05 Wed>
